Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGNumberList.NumberListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGNumberList.NumberListBuilder

All Implemented Interfaces:
  NumberListHandler

Enclosing class:
  AbstractSVGNumberList

    protected class AbstractSVGNumberList.NumberListBuilder

extends Object
implements NumberListHandler

Helper class to interface the `NumberListParser` and the `NumberListHandler`.

Field Summary
`protected float` | `currentValue` The number just parsed.
`protected ListHandler` | `listHandler` The ListHandler to notify of parsed numbers.

Constructor Summary
`AbstractSVGNumberList.NumberListBuilder(ListHandler listHandler)` Creates a new NumberListBuilder.

Method Summary
`void` | `endNumber()` Implements `NumberListHandler.endNumber()`.
`void` | `endNumberList()` Implements `NumberListHandler.endNumberList()`.
`void` | `numberValue(float v)` Implements `NumberListHandler.numberValue(float)`.
`void` | `startNumber()` Implements `NumberListHandler.startNumber()`.
`void` | `startNumberList()` Implements `NumberListHandler.startNumberList()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listHandler

    protected ListHandler listHandler

  The ListHandler to notify of parsed numbers.

### currentValue

    protected float currentValue

  The number just parsed.

Constructor Detail

### AbstractSVGNumberList.NumberListBuilder

    public AbstractSVGNumberList.NumberListBuilder(ListHandler listHandler)

  Creates a new NumberListBuilder.

Method Detail

### startNumberList

    public void startNumberList()
                         throws ParseException

  Implements `NumberListHandler.startNumberList()`.

  Specified by:
    `startNumberList` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number list.

### startNumber

    public void startNumber()
                     throws ParseException

  Implements `NumberListHandler.startNumber()`.

  Specified by:
    `startNumber` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### numberValue

    public void numberValue(float v)
                     throws ParseException

  Implements `NumberListHandler.numberValue(float)`.

  Specified by:
    `numberValue` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### endNumber

    public void endNumber()
                   throws ParseException

  Implements `NumberListHandler.endNumber()`.

  Specified by:
    `endNumber` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### endNumberList

    public void endNumberList()
                       throws ParseException

  Implements `NumberListHandler.endNumberList()`.

  Specified by:
    `endNumberList` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.